Bug 68619 - Missing kill scripts for "cpqarrayd", "isicom", "kdcrotate", "nscd", "ypbind"
Missing kill scripts for "cpqarrayd", "isicom", "kdcrotate", "nscd", "ypbind"
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
8.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Brock Organ
:
Depends On:
Blocks: 67218 79579
  Show dependency treegraph
 
Reported: 2002-07-11 15:23 EDT by Peter van Egdom
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-25 15:46:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter van Egdom 2002-07-11 15:23:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020625

Description of problem:
There are no kill scripts in the "/etc/rc.d/" directory
hierarchy for the following init scripts "postfix", "privoxy",
"nscd" and "cups".

I often use the command chkconfig --list |grep "3:off" 
on a fresh installation to get an idea of what services are off
(and therefore available to turn on for a specific runlevel)
(in this case runlevel 3).



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Red Hat Limbo 7.3.92 with servers mentioned above.
2. Do chkconfig --list |grep "3:off" after fresh installation to
   get a list of which servers are off for runlevel 3.
3. 
	

Actual Results:  Postfix, privoxy, nscd and cups are not mentioned.

Expected Results:  I would have expected to see that e.g. privoxy is
                   turned off for all runlevels.

... Now it isn't even mentioned by the output of chkconfig, although
the init-script itself is to be seen in "/etc/rc.d/init.d".

Additional info:

Name        : initscripts     Relocations: (not relocateable)
Version     : 6.82                     Vendor: Red Hat, Inc.
Release     : 1                       Build Date: vr 28 jun 2002 06:37:26 CEST
Install date: za 06 jul 2002 16:57:50 CEST  Build Host: perf.redhat.com
Group       : System Environment/Base       Source RPM: initscripts-6.82-1.src.rpm
Comment 1 Bill Nottingham 2002-07-11 15:36:35 EDT
This is not an initscripts bug.

postfix and cups are intentional; they won't show up if they aren't the
configured MTA or print spooler.

The others would be bugs in the package. privoxy in particular is on all sorts
of crack.
Comment 2 Bill Nottingham 2002-07-11 15:46:09 EDT
privoxy needs to actually use chkconfig, and not ghost the K/S** files; some of
that %pre and %post stuff certainly seems like overkill too.
Comment 3 Karsten Hopp 2002-07-12 07:54:19 EDT
I've fixed privoxy, assigning to jakub for the nscd fix.
Comment 4 Jakub Jelinek 2002-07-24 11:15:46 EDT
I don't see any problems with nscd. I have
lrwxrwxrwx    1 root     root           14 07-03 16:11 /etc/rc.d/rc3.d/K74nscd -> ../init.d/nscd
both on limbo install and 7.3 install, nscd's %post does
/sbin/chkconfig --add nscd
which makes the symlinks.
Comment 5 Peter van Egdom 2002-07-25 16:36:49 EDT
I'm not actually sure, but why does the super user have to do
"/sbin/chkconfig --add nscd" before this daemon is 'added' to the services /
daemons that lie in the 'scope of control' of "chkconfig" ?

All other services / daemons show up in the output of "chkconfig --list" by
default after a fresh installation.

I think it would be consistent to have _all_ services that are available, whether
they're on or off, regarding the runlevel that they're in, be listable by
the command "chkconfig --list" out-of-the-box.
Comment 6 Preston Brown 2002-08-13 21:57:51 EDT
strangely enough, nscd wasn't showing up as 'added' in an older limbo box I had
as well.  However, on a fresh install of a recent development tree, it is
showing up in the chkconfig --list output, so I believe this is resolved.
Comment 7 Jay Turner 2002-08-15 23:27:25 EDT
OK, I'm seeing privoxy listed (privoxy-2.9.20-1) but I'm not seeing nscd listed
in the chkconfig output (nscd-2.2.90-21)
Comment 8 Peter van Egdom 2002-10-28 16:35:00 EST
This minor bug is still present in Red Hat 8.0.

These services support chkconfig, but are not referenced in any runlevel :

cpqarrayd
isicom
kdcrotate
nscd
ypbind
Comment 9 Peter van Egdom 2002-10-29 16:22:37 EST
Hmmm... as stated in Bugzilla bug id # 70678 my remark about ypbind is invalid.

That still leaves us :

cpqarrayd
isicom
kdcrotate
nscd

Comment 10 Alan Cox 2002-12-15 16:52:19 EST
isicom shouldnt be referenced by default - its for a specific serial driver so
not normally used
Comment 11 Peter van Egdom 2003-01-25 15:46:06 EST
Closing bug. Reported behaviour of nscd is fixed, and the rest of reported
'missing' kill scripts are of no practical use.

Note You need to log in before you can comment on or make changes to this bug.